Index: /LMDZ5/branches/testing/DefLists/README
===================================================================
--- /LMDZ5/branches/testing/DefLists/README	(revision 2669)
+++ /LMDZ5/branches/testing/DefLists/README	(revision 2669)
@@ -0,0 +1,12 @@
+physiq.def                 Couples model version
+
+physiq.def_L39_AR40.0      IPSL-CM5A
+physiq.def_L39_NPv3.1      IPSL-CM5B
+physiq.def_L39_NPv3.2      Stabilized version
+physiq.def_L59_NPv4.12     First L59 version of the new new physics
+physiq.def_L79_NPv5.17h    (5.17h=5.3) IPSL-CM6.0.1
+physiq.def_NPv5.4          IPSL-CM6.0.2
+physiq.def_NPv5.5          IPSL-CM6.0.3
+physiq.def_NPv5.65         IPSL-CM6.0.4
+physiq.def_NPv5.70         IPSL-CM6.0.5
+physiq.def_NPv5.67         IPSL-CM6.0.5 / THC1 (test de sensibilité)
Index: /LMDZ5/branches/testing/DefLists/gcm.def_144x142
===================================================================
--- /LMDZ5/branches/testing/DefLists/gcm.def_144x142	(revision 2668)
+++ /LMDZ5/branches/testing/DefLists/gcm.def_144x142	(revision 2669)
@@ -1,5 +1,5 @@
-## $Id: gcm.def 1403 2010-07-01 09:02:53Z fairhead $
+## $Id$
 ## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
-day_step=960
+day_step=720
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
@@ -13,10 +13,9 @@
 niterh=2
 ## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
-tetagdiv=1800.
+tetagdiv=3600.
 ## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
-#tetagrot=5400.
 tetagrot=7200.
 ## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
-tetatemp=5400.
+tetatemp=7200.
 ## coefficient pour gamdissip                                            
 coefdis=0.
@@ -33,8 +32,6 @@
 read_start=y
 ## periode de la physique (en pas dynamiques, n'a de sens que si iflag_phys=1)                                       
+## iphysiq est modifie pour la nouvelle physique par le lmdz.driver pour les autres cas le valeur par defaut est utilise
 iphysiq=_AUTO_ : DEFAULT = 5
-#
-#
-### Parametres du zoom
 ## longitude en degres du centre du zoom                                 
 clon=0.
@@ -57,2 +54,4 @@
 ##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
 ysinus=y
+##
+ngroup=4
Index: /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.65
===================================================================
--- /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.65	(revision 2668)
+++ /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.65	(revision 2669)
@@ -36,6 +36,4 @@
 gwd_rando_sat=0.2
 
-ok_strato=y
-ok_hines=n
 sso_gkdrag=0.2
 sso_gfrcri=0.70
Index: /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.67
===================================================================
--- /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.67	(revision 2668)
+++ /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.67	(revision 2669)
@@ -36,6 +36,4 @@
 gwd_rando_sat=0.2
 
-ok_strato=y
-ok_hines=n
 sso_gkdrag=0.2
 sso_gfrcri=0.70
Index: /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.70
===================================================================
--- /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.70	(revision 2669)
+++ /LMDZ5/branches/testing/DefLists/physiq.def_NPv5.70	(revision 2669)
@@ -0,0 +1,240 @@
+#
+# $Id: physiq.def_NPv5.70 2929 2016-07-26 06:49:39Z jgipsl $
+#
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+iflag_albedo=1
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.6
+f_ri_cd_min=0.1
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+### Random gravity waves
+#Activitate the stochastic parameterization of convective GWs (should be equal to ok_strato)
+ok_gwd_rando=y
+# Scale the momentum fluxes due to convective GWs
+gwd_rando_ruwmax=2.5
+#Scale the saturated momentum flux of  convective GWs 
+gwd_rando_sat=0.2
+
+sso_gkdrag=0.2
+sso_gfrcri=0.70
+sso_gkwake=0.40
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=1
+NSW=6
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=0.0002
+cld_lc_con=0.0002
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=900.
+cld_tau_con=900.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.5
+ffallv_con=0.5
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=2e-4
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=6
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=4
+ratqsp0=37500.
+ratqsdp=20000.
+ratqsbas=0.002
+ratqshaut=0.4
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#Rayons min et max effectifs des particules des nuages
+rei_min=16.
+rei_max=61.29
+#
+# Flags Convection 
+#*****************
+#Convection scheme switch (D:2, 1:LMD, 2:Tiedtke, 3:KE New Physics, 30:KE AR4)
+iflag_con=3
+#output level of energy conservation diagnostics
+if_ebil=0
+#maximum efficiency of cld water->precipitation conversion (D: 0.993)
+epmax=0.999
+#dry convective adjustment at beginning of Emanuel convective scheme (D: n 0)
+ok_adj_ema=n
+iflag_clw=0
+#Convective closure (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#Convective entrainment mixing law (D:1, 0:AR4=flat PDF, 1=PDF)
+iflag_mix=1
+#weights of the bell shaped and flat PDF (used only if iflag_mix=1) (D: 1 0)
+qqa1=1.
+qqa2=0.
+#Parameters of the bell shaped PDF; Fmax=center (D= 0.65), Gammas=width (D=0.05)
+cvl_corr=1.0
+#Multiplicative factor of Emanuel convective scheme precipitation (D: 1.)
+Fmax=0.65
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=18
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=8
+fact_thermals_ed_dz=0.1
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=11
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=5 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+#rendement sur la puissance fournie par les thermiques a la convection
+alp_bl_k=0.5
+#
+## temperature dependency of qsat for iterative procedure
+## temporary flag to switch between the old (CMIP5, D=0) and new versions (=1) versions 
+iflag_fisrtilp_qsat=4 
+## Reactivation du calcul d'un zmax continu pour les thermiques
+## reactivation d'une fermeture humide des thermiques  iflag_thermals_closure=2 (D=1)
+iflag_thermals_closure=1
+#
+# Flags wakes
+#************
+#Wake scheme switch (D:0, 0:AR4, 1:New Physics)
+iflag_wake=1
+#Constant value to be added to Alp (D: 0.)
+alp_offset=0.
+
+### nrlmd le 10/04/2012: Declenchement ###
+#Declenchement par couche-limite (0: deterministe, 1: stochastique)
+iflag_trig_bl=1
+#Surface critique au LCL
+s_trig=1.2e7
+#Temps de decorrelation entre scenes de cumulus
+tau_trig_shallow=1200
+#Temps de decorrelation entre scenes de cumulonimbus
+tau_trig_deep=1200
+# Pour la stabilisation
+random_notrig_max=0.99
+ok_adjwk=y
+tmax_fonte_cv=278.15
+
+
+### nrlmd le 10/04/2012: Fermeture ###
+#Fermeture par couche-limite (0: deterministe, 1: statistique, 2: statistique+convergence grande echelle)
+iflag_clos_bl=1
+### fin nrlmd le 10/04/2012
+
+## Modification de la plage de temperature pour la phase mixte liquide/glace des nuages
+## Controle par les t_glace_min/max, exposant_glace, iflag_t_glace (D=0)
+t_glace_min=233.13
+t_glace_max=273.13
+exposant_glace=1.
+iflag_t_glace=2
+iflag_ice_thermo=1
+
+#
+## The source terms of the TKE prognostic equation are diagnosed from tendencies (du, dv, dT) 
+## associated with subrgrid scaleamotions and treated as an additional heat source.
+## Controled by a key, iflag_ener_conserv (D=-1):
+## 0 : no conservation, -1 : old adhoc correction for kinetic E only (used for CMIP5) 
+## 1 : conservation, 101 : conversion from kinetic to heat only, 110 conversion from potential to heat only
+iflag_ener_conserv=1
+
+#Activation of corrections for water conservation (D: n). 
+##The default is n for compatibility with earlier versions.
+##generally it should be y.
+ok_conserv_q=y 
+
+iflag_cloudth_vert=2
+
+#
+lmixmin=10.
+#pbl_lmixmin_alpha=0.05
+
+#Bergeron
+iflag_bergeron=1
+
+
+### Convection
+#altitude, in hPa, above LCL at which buoybase is computed, def = original: -40
+dpbase=-40.
+#altitude, in hPa, above LCL below which Ep=0, def = original: 150, used only if flag_epKEorig=0
+pbcrit=150.0
+#altitude, in hPa, above LCL above which Ep=Epmax, def = original: 500, used only if flag_epKEorig=0
+ptcrit=500.0
+#reference fractional area of precipitating downdraughts, def = original: 0.01
+sigdz=0.01
+#unsaturated fraction of precipitating downdraughts, def = original: 0.15
+spfac=0.15
+#relaxation time of cloud base mass flux, def = original: 8000
+tau=8000.
+#flag for wb (= vert velocity at LFC); 0->wb=wbmax, 1->wb=f(plfc) bounded, 2->wb=f(plfc) linear, def = 1
+flag_wb=1
+#parameter used in the computation of wb, def = 6.
+wbmax=6.
+#
+ok_convstop=.False.
+#
+tau_stop=15000.
+#
+ok_intermittent=.False.
+#shedding coefficient (used when iflag_mix_adiab=1)
+coef_peel=0.25
+#
+### Clouds
+#Conversion cld water->precip: Ep=f(pressure) if 0; Ep=f(temperature) if 1, def=1
+flag_epKEorig=1
+#max condensed water concentration in kg/kg, def=0.0003, original: 0.0011, used only if flag_epKEorig=1
+elcrit=0.00025
+#temperature in degre Celsius, at which Ep=Epmax, def=-55., original: -55, used only if flag_epKEorig=1
+tlcrit=-40.
+
+### Wakes
+#coefficient in Wape->C_star formula: C_star=stark*sqrt(2*Wape), def: 0.33
+stark=0.33
+#lifting efficiency of wakes; Alp=Alpk*Fip, Fip=power provided by wakes, def: 0.25
+alpk=0.25
+#wake density = number of wake centers per m2, def: 8.E-12
+wdens_ref=8.E-12
+#multiplicative factor of the damping by gravity waves, def: 4.
+coefgw=4.
Index: /LMDZ5/branches/testing/libf/dynphy_lonlat/phydev/callphysiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dynphy_lonlat/phydev/callphysiq_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/dynphy_lonlat/phydev/callphysiq_mod.F90	(revision 2669)
@@ -12,5 +12,5 @@
                        jD_cur,jH_cur_split,zdt_split,                     &
                        zplev_omp,zplay_omp,                               &
-                       zphi_omp,zphis_omp,                                &
+                       zpk_omp,zphi_omp,zphis_omp,                        &
                        presnivs_omp,                                      &
                        zufi_omp,zvfi_omp,zrfi_omp,ztfi_omp,zqfi_omp,      &
@@ -34,4 +34,5 @@
   REAL,INTENT(IN) :: zplev_omp(klon,llm+1) ! interlayer pressure (Pa)
   REAL,INTENT(IN) :: zplay_omp(klon,llm) ! mid-layer pressure (Pa)
+  REAL,INTENT(IN) :: zpk_omp(klon,llm) ! Exner function
   REAL,INTENT(IN) :: zphi_omp(klon,llm) ! geopotential at midlayer
   REAL,INTENT(IN) :: zphis_omp(klon) ! surface geopotential
Index: /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 2669)
@@ -111,4 +111,5 @@
   INTEGER :: flag_aerosol
   INTEGER :: flag_aerosol_strat
+  LOGICAL :: flag_bc_internal_mixture
   LOGICAL :: new_aod
   REAL    :: bl95_b0, bl95_b1
@@ -131,5 +132,5 @@
                    ok_ade, ok_aie, ok_cdnc, aerosol_couple,             &
                    flag_aerosol, flag_aerosol_strat, new_aod,           &
-                   bl95_b0, bl95_b1,                                    &
+                   flag_bc_internal_mixture, bl95_b0, bl95_b1,          &
                    read_climoz,                                         &
                    alp_offset)
Index: /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 2669)
@@ -9,5 +9,5 @@
                      nbp, communicator, &
                      punjours, pdayref,ptimestep, &
-                     rlatu,rlatv,rlonu,rlonv,aire,cu,cv,       &
+                     rlatudyn,rlatvdyn,rlonudyn,rlonvdyn,airedyn,cudyn,cvdyn, &
                      prad,pg,pr,pcpp,iflag_phys)
   USE dimphy, ONLY: init_dimphy
@@ -44,4 +44,6 @@
   USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
 #endif
+  USE ioipsl_getin_p_mod, ONLY: getin_p
+  USE slab_heat_transp_mod, ONLY: ini_slab_transp_geom
   IMPLICIT NONE
 
@@ -52,6 +54,8 @@
 
   include "dimensions.h"
+  include "paramet.h"
   include "iniprint.h"
   include "tracstoke.h"
+  include "comgeom.h"
 
   REAL, INTENT (IN) :: prad ! radius of the planet (m)
@@ -65,11 +69,11 @@
   INTEGER, INTENT(IN) :: nbp ! number of physics columns for this MPI process
   INTEGER, INTENT(IN) :: communicator ! MPI communicator
-  REAL, INTENT (IN) :: rlatu(jj+1) ! latitudes of the physics grid
-  REAL, INTENT (IN) :: rlatv(jj) ! latitude boundaries of the physics grid
-  REAL, INTENT (IN) :: rlonv(ii+1) ! longitudes of the physics grid
-  REAL, INTENT (IN) :: rlonu(ii+1) ! longitude boundaries of the physics grid
-  REAL, INTENT (IN) :: aire(ii+1,jj+1) ! area of the dynamics grid (m2)
-  REAL, INTENT (IN) :: cu((ii+1)*(jj+1)) ! cu coeff. (u_covariant = cu * u)
-  REAL, INTENT (IN) :: cv((ii+1)*jj) ! cv coeff. (v_covariant = cv * v)
+  REAL, INTENT (IN) :: rlatudyn(jj+1) ! latitudes of the physics grid
+  REAL, INTENT (IN) :: rlatvdyn(jj) ! latitude boundaries of the physics grid
+  REAL, INTENT (IN) :: rlonvdyn(ii+1) ! longitudes of the physics grid
+  REAL, INTENT (IN) :: rlonudyn(ii+1) ! longitude boundaries of the physics grid
+  REAL, INTENT (IN) :: airedyn(ii+1,jj+1) ! area of the dynamics grid (m2)
+  REAL, INTENT (IN) :: cudyn((ii+1)*(jj+1)) ! cu coeff. (u_covariant = cu * u)
+  REAL, INTENT (IN) :: cvdyn((ii+1)*jj) ! cv coeff. (v_covariant = cv * v)
   INTEGER, INTENT (IN) :: pdayref ! reference day of for the simulation
   REAL, INTENT (IN) :: ptimestep !physics time step (s)
@@ -80,5 +84,8 @@
   CHARACTER (LEN=20) :: modname = 'iniphysiq'
   CHARACTER (LEN=80) :: abort_message
-
+  
+  LOGICAL :: slab_hdiff
+  INTEGER :: slab_ekman
+  CHARACTER (LEN = 6) :: type_ocean 
 
 #ifndef CPP_PARA
@@ -92,7 +99,7 @@
   CALL inigeomphy(ii,jj,nlayer, &
                nbp, communicator, &
-               rlatu,rlatv, &
-               rlonu,rlonv, &
-               aire,cu,cv)
+               rlatudyn,rlatvdyn, &
+               rlonudyn,rlonvdyn, &
+               airedyn,cudyn,cvdyn)
 
   ! --> now initialize things specific to the phylmd physics package
@@ -117,4 +124,18 @@
   ! Copy over "offline" settings
   CALL init_phystokenc(offline,istphy)
+
+  ! Initialization for slab heat transport
+  type_ocean="force"
+  CALL getin_p('type_ocean',type_ocean)
+  slab_hdiff=.FALSE.
+  CALL getin_p('slab_hdiff',slab_hdiff)
+  slab_ekman=0
+  CALL getin_p('slab_ekman',slab_ekman)
+  IF ((type_ocean=='slab').AND.(slab_hdiff.OR.(slab_ekman.GT.0))) THEN
+     CALL ini_slab_transp_geom(ip1jm,ip1jmp1,unsairez,fext,unsaire,&
+                                  cu,cuvsurcv,cv,cvusurcu, &
+                                  aire,apoln,apols, &
+                                  aireu,airev) 
+  END IF
 
   ! Initialize tracer names, numbers, etc. for physics
@@ -159,5 +180,5 @@
 #ifdef INCA
      CALL init_inca_dim(klon_omp,nbp_lev,nbp_lon,nbp_lat - 1, &
-          rlonu,rlatu,rlonv,rlatv)
+          rlonudyn,rlatudyn,rlonvdyn,rlatvdyn)
 #endif
   END IF
Index: /LMDZ5/branches/testing/libf/phydev/physiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phydev/physiq_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phydev/physiq_mod.F90	(revision 2669)
@@ -25,6 +25,6 @@
 #ifdef CPP_XIOS
       USE xios, ONLY: xios_update_calendar
-      USE wxios, only: wxios_add_vaxis, wxios_set_timestep, wxios_closedef, &
-                       histwrite_phy
+      USE wxios, only: wxios_add_vaxis, wxios_set_cal, wxios_closedef
+      USE iophy, ONLY: histwrite_phy
 #endif
 
@@ -129,14 +129,14 @@
 !XIOS
     ! Declare available vertical axes to be used in output files:    
-    !CALL wxios_add_vaxis("presnivs", "dummy-not-used", klev, presnivs)
     CALL wxios_add_vaxis("presnivs", klev, presnivs)
 
-    ! Declare time step length (in s):
-    CALL wxios_set_timestep(dtime)
-
+    ! Declare calendar and time step
+    CALL wxios_set_cal(dtime,"earth_360d",1,1,1,0.0,1,1,1,0.0)
+    
     !Finalize the context:
     CALL wxios_closedef()
 #endif
 !$OMP END MASTER
+!$OMP BARRIER
 endif ! of if (debut)
 
Index: /LMDZ5/branches/testing/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 2669)
@@ -1170,18 +1170,18 @@
        !print *,nbtr
        do it=1,nbtr
-        print *, it, tname(it+2)
-        if (tname(it+2) == 'PREC' ) then
+        print *, it, tname(it+nqo)
+        if (tname(it+nqo) == 'PREC' ) then
             id_prec=it
         endif
-        if (tname(it+2) == 'FINE' ) then
+        if (tname(it+nqo) == 'FINE' ) then
             id_fine=it
         endif
-        if (tname(it+2) == 'COSS' ) then
+        if (tname(it+nqo) == 'COSS' ) then
             id_coss=it
         endif
-        if (tname(it+2) == 'CODU' ) then
+        if (tname(it+nqo) == 'CODU' ) then
             id_codu=it
         endif
-        if (tname(it+2) == 'SCDU' ) then
+        if (tname(it+nqo) == 'SCDU' ) then
             id_scdu=it
         endif
@@ -2621,10 +2621,9 @@
          call iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,it))
       enddo
-#endif
-
       do it=1,nbtr
          write(str2,'(i2.2)') it
          call iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,it))
       enddo
+#endif
 
 
@@ -2650,5 +2649,4 @@
 
 #ifdef IOPHYS_DUST
-
       do it=1,nbtr
          write(str2,'(i2.2)') it
@@ -2676,5 +2674,4 @@
 !
 #ifdef IOPHYS_DUST
-!
       print *,'INPUT TO PRECUREMISSION'
          call iophys_ecrit('ftsol',4,'ftsol','',ftsol)
Index: /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90	(revision 2669)
@@ -87,6 +87,11 @@
        CALL limit_read_frac(itime, dtime, jour, pctsrf, is_modified)
     CASE ('slab')
+       IF (version_ocean == 'sicOBS'.OR. version_ocean == 'sicNO') THEN
+       ! Read fraction from limit.nc
+           CALL limit_read_frac(itime, dtime, jour, pctsrf, is_modified)
+       ELSE
        ! Get fraction from slab module
-       CALL ocean_slab_frac(itime, dtime, jour, pctsrf, is_modified)
+           CALL ocean_slab_frac(itime, dtime, jour, pctsrf, is_modified)
+       ENDIF
     CASE ('couple')
        ! Get fraction from the coupler
